﻿#region License Information
/* HeuristicLab 
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL) 
 * 
 * This file is part of HeuristicLab. 
 * 
 * HeuristicLab is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version. 
 *                                                    d
 * HeuristicLab is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>. 
 */
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;
using HeuristicLab.Common;

namespace HeuristicLab.Services.Authentication {
  [Item("User", "An user.")]
  public partial class User {
    protected User(User original, Cloner cloner)
      : base(original, cloner) {

      ApplicationId = original.ApplicationId;
      Email = original.Email;
      IsApproved = original.IsApproved;
      CreateDate = original.CreateDate;
      LastLoginDate = original.LastLoginDate;
      LastLockoutDate = original.LastLockoutDate;
    }

    public User() {
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new User(this, cloner);
    }
  }
}
